{% extends 'base.html.twig' %}

{% block title %}Admission index{% endblock %}

{% block body %}
    <h1>Admission index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Patient</th>
                <th>Room</th>
                <th>CreatedAt</th>
                <th>DeletedAt</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for admission in admissions %}
            <tr>
                <td>{{ admission.patient }}</td>
                <td>{{ admission.room }}</td>
                <td>{{ admission.createdAt ? admission.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ admission.deletedAt ? admission.deletedAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('admission_end', {'id': admission.id}) }}">End admission</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
